.apf {
	display: none;
	flex-direction: column;
	position: fixed;
	left: 0;
	top: 0;
	width: 100%;
	height: 100vh;
	background-color: #ffffff;
	box-shadow: 6px 0px 10px rgba(0, 0, 0, 0.14);
	z-index: 9991;
}

html.filters-open .apf {
	display: flex;
}

.apf__inside {
	height: 100%;
}

.apf__header {
	display: flex;
	align-items: center;
	padding: 12px 24px;
	border-bottom: 1px solid var(--whisper-200);
}

.apf__title {
	font-size: 18px;
	line-height: 20px;
	font-weight: bold;
}

.apf__close {
	display: block;
	width: 24px;
	height: 24px;
	margin-left: auto;
	padding: 0;
	background-color: transparent;
	border: 0;
}

.apf__close:hover .apf__close-icon {
	fill: var(--azure-radiance-500);
}

.apf__close-icon {
	display: block;
	width: 100%;
	height: 100%;
}

.apf__content {
	height: 100%;
	padding-bottom: 165px;
	overflow-y: auto;
}

.apf__footer {
	position: fixed;
	left: 0;
	bottom: 0;
	width: 100%;
	padding: 12px 24px;
	background-color: var(--white);
	border-top: 1px solid var(--whisper-200);
	z-index: 10;
}

.apf__reset {
	display: none;
	align-items: center;
	justify-content: center;
	margin: 0 auto 15px;
	padding: 0;
	color: #007AFF;
	text-decoration: underline;
	background-color: transparent;
	border: 0;
}

.apf__reset:hover {
	text-decoration: none;
}

.apf__reset--visible {
	display: flex;
}

.apf__empty {
	margin: 50px 0 30px;
	font-size: 18px;
	font-weight: bold;
}

.apf-field {
	padding: 12px 24px;
}

.apf-field:not(:last-child) {
	border-bottom: 1px solid var(--whisper-200);
}

.apf-field__title {
	display: flex;
	align-items: center;
	justify-content: space-between;
	cursor: pointer;
}

.apf-field__title:hover {
	color: var(--azure-radiance-500);
}

.apf-field--visible .apf-field__title {
	margin-bottom: 12px;
}

.apf-field__title:after {
	content: "";
	display: block;
	flex-shrink: 0;
	width: 24px;
	height: 24px;
	background-size: contain;
	background-repeat: no-repeat;
	background-position: center;
	background-image: url("data:image/svg+xml, %3Csvg id='chevron' viewBox='0 0 24 24' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M7.41 8.58984L12 13.1698L16.59 8.58985L18 9.99985L12 15.9998L6 9.99984L7.41 8.58984Z'/%3E%3C/svg%3E");
}

.apf-field--visible .apf-field__title:after {
	transform: rotate(180deg);
}

.apf-field__title-text {
	font-size: 16px;
	line-height: 20px;
}

.apf-field--visible .apf-field__title-text {
	font-weight: 600;
}

.apf-field__title-btn {
	display: block;
	padding: 0;
	font-size: 14px;
	line-height: 16px;
	color: #999999;
	background-color: transparent;
	border: 0;
	border-bottom: 1px dashed;
}

.apf-field__title-btn:hover {
	color: var(--azure-radiance-500);
}

.apf-field__content,
.apf-field__range {
	display: none;
}

.comment-form .apf-field__content,
.comment-form .apf-field__range,
#commentform-cloned .apf-field__content,
#commentform-cloned .apf-field__range,
.apf-field--visible .apf-field__content,
.apf-field--visible .apf-field__range {
	display: flex;
}

.apf-field_checkbox .apf-field__content,
.apf-field_radio .apf-field__content,
.apf-field_taxonomy .apf-field__content {
	flex-direction: column;
}

.apf-checkbox:not(:last-child),
.apf-radio:not(:last-child) {
	margin-bottom: 15px;
}

.apf-checkbox input[type="checkbox"],
.apf-radio input[type="radio"] {
	display: none;
}

.apf-checkbox__label,
.apf-radio__label {
	display: flex;
	align-items: center;
	cursor: pointer;
}

.apf-checkbox__label:before {
	content: '';
	flex-shrink: 0;
	display: block;
	width: 18px;
	height: 18px;
	margin-right: 7px;
	border: 1px solid var(--whisper-200);
	border-radius: 5px;
}

.apf-checkbox input[type="checkbox"]:checked + .apf-checkbox__label:before {
	background-color: var(--azure-radiance-500);
	border-color: var(--azure-radiance-500);
	background-size: 100%;
	background-repeat: no-repeat;
	background-position: center;
	background-image: url("data:image/svg+xml,%3Csvg id='check' viewBox='0 0 24 24' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M8.9999 16.2L4.7999 12L3.3999 13.4L8.9999 19L20.9999 7.00001L19.5999 5.60001L8.9999 16.2Z' fill='%23ffffff' /%3E%3C/svg%3E%0A");
}

.apf-radio__label:before {
	flex-shrink: 0;
	content: "";
	display: block;
	width: 16px;
	height: 16px;
	margin-right: 7px;
	outline: 1px solid var(--whisper-200);
	border-radius: 50%;
}

.apf-radio input[type="radio"]:checked + .apf-radio__label:before {
	border: 2px solid var(--white);
	background: var(--azure-radiance-500);
}

.apf-field_number .apf-field__content {
	justify-content: space-between;
}

.apf-field_number .apf-field__content input {
	width: calc(50% - 5px);
}

.apf-field__range {
	margin-top: 22px;
}

.apf-field__range-input {
	display: block;
	padding: 0;
	height: auto;
	font-size: inherit;
	box-shadow: none;
	border-radius: 0;
}

.apf-field_text .apf-field__content input {
	width: 100%;
}

.apf__help {
	font-size: 14px;
	line-height: 16px;
	color: #9C9C9C;
}

.apf__icon {
	flex-shrink: 0;
	display: flex;
	align-items: center;
	justify-content: center;
	width: 22px;
	height: 22px;
	margin-right: 4px;
}

.apf__icon-image {
	display: block;
	max-width: 100%;
	max-height: 100%;
	object-fit: contain;
}

.apf-fields--horizontal {
	display: flex;
	flex-direction: column;
}

.apf-fields--horizontal:not(:last-child) {
	margin-bottom: 8px;
}

.apf-fields--horizontal:last-child {
	margin-top: 24px;
}

.apf-fields--horizontal .apf-field:not(:last-child) {
	margin-bottom: 8px;
	padding-bottom: 0;
}

.apf-field .noUi-horizontal {
	height: 2px;
	padding: 0 8px;
	border: 0;
}

.apf-field .noUi-horizontal .noUi-handle {
	width: 34px !important;
	height: 28px !important;
	right: -17px !important;
	top: -12px !important;
	border-radius: 3px !important;
	border: 1px solid #EFEFEF;
	box-shadow: 0px 3px 5px -1px rgba(0, 0, 0, 0.2), 0px 6px 10px rgba(0, 0, 0, 0.14), 0px 1px 18px rgba(0, 0, 0, 0.12);
	outline: none;
	cursor: pointer;
}

.apf-field .noUi-target {
	background-color: rgba(255, 0, 0, 0.3);
}

.apf-field .noUi-connect {
	background-color: var(--azure-radiance-500);
}

.apf-field .noUi-handle {
	background-color: #ffffff;
}

.apf-field .noUi-handle {
	background-color: var(--azure-radiance-500) !important;
	border-color: var(--azure-radiance-500) !important;
}

#commentform-cloned .apf-fields--advantages {
	display: none;
}

.apf-fields--advantages .apf-field_text:before {
	display: block;
	margin-bottom: 8px;
	padding-left: 32px;
	font-size: 16px;
	line-height: 20px;
	font-weight: 600;
	background-repeat: no-repeat;
	background-position: left center;
}

.apf-fields--advantages.like .apf-field_text:first-child:before {
	content: 'Преимущества';
	color: var(--sulu-500);
	background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMjQiIGhlaWdodD0iMjQiIHZpZXdCb3g9IjAgMCAyNCAyNCIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KPHBhdGggb3BhY2l0eT0iMC40IiBkPSJNMTYuMTkgMkg3LjgxQzQuMTcgMiAyIDQuMTcgMiA3LjgxVjE2LjE4QzIgMTkuODMgNC4xNyAyMiA3LjgxIDIySDE2LjE4QzE5LjgyIDIyIDIxLjk5IDE5LjgzIDIxLjk5IDE2LjE5VjcuODFDMjIgNC4xNyAxOS44MyAyIDE2LjE5IDJaIiBmaWxsPSIjNUNDOTE5Ii8+CjxwYXRoIGQ9Ik0xNiAxMS4yNUgxMi43NVY4QzEyLjc1IDcuNTkgMTIuNDEgNy4yNSAxMiA3LjI1QzExLjU5IDcuMjUgMTEuMjUgNy41OSAxMS4yNSA4VjExLjI1SDhDNy41OSAxMS4yNSA3LjI1IDExLjU5IDcuMjUgMTJDNy4yNSAxMi40MSA3LjU5IDEyLjc1IDggMTIuNzVIMTEuMjVWMTZDMTEuMjUgMTYuNDEgMTEuNTkgMTYuNzUgMTIgMTYuNzVDMTIuNDEgMTYuNzUgMTIuNzUgMTYuNDEgMTIuNzUgMTZWMTIuNzVIMTZDMTYuNDEgMTIuNzUgMTYuNzUgMTIuNDEgMTYuNzUgMTJDMTYuNzUgMTEuNTkgMTYuNDEgMTEuMjUgMTYgMTEuMjVaIiBmaWxsPSIjNUNDOTE5Ii8+Cjwvc3ZnPgo=");
}

.apf-fields--advantages.dislike .apf-field_text:last-child:before {
	content: 'Недостатки';
	color: var(--radical-red-600);
	background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMjQiIGhlaWdodD0iMjQiIHZpZXdCb3g9IjAgMCAyNCAyNCIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KPHBhdGggb3BhY2l0eT0iMC40IiBkPSJNMTYuMTkgMkg3LjgxQzQuMTcgMiAyIDQuMTcgMiA3LjgxVjE2LjE4QzIgMTkuODMgNC4xNyAyMiA3LjgxIDIySDE2LjE4QzE5LjgyIDIyIDIxLjk5IDE5LjgzIDIxLjk5IDE2LjE5VjcuODFDMjIgNC4xNyAxOS44MyAyIDE2LjE5IDJaIiBmaWxsPSIjRkYyNjRDIi8+CjxwYXRoIGQ9Ik0xNiAxMi43NUg4QzcuNTkgMTIuNzUgNy4yNSAxMi40MSA3LjI1IDEyQzcuMjUgMTEuNTkgNy41OSAxMS4yNSA4IDExLjI1SDE2QzE2LjQxIDExLjI1IDE2Ljc1IDExLjU5IDE2Ljc1IDEyQzE2Ljc1IDEyLjQxIDE2LjQxIDEyLjc1IDE2IDEyLjc1WiIgZmlsbD0iI0ZGMjY0QyIvPgo8L3N2Zz4K")
}

.apf-fields--footer {
	display: flex;
	flex-wrap: wrap;
	align-items: center;
	justify-content: center;
	gap: 12px;
}

.apf__submit {
	width: 100%;
	height: 50px;
	font-size: 14px;
	font-weight: 600;
	padding: 0 16px;
	color: var(--white);
	background-color: var(--radical-red-500);
	border-radius: 12px;
	text-align: center;
	transition: all ease .1s;
}

.apf__submit:hover {
	background-color: var(--radical-red-600);
}

/*** Responsive ***/
@media (min-width: 576px) {
	.apf-fields--footer {
		justify-content: flex-start;
	}
}

@media (min-width: 768px) {
	.apf {
		position: fixed;
		top: 0;
		left: 0;
		max-width: initial;
		max-height: initial;
		width: 100vw;
		height: 100vh;
		padding: 80px;
		background-color: rgba(0, 0, 0, 0.6);
	}

	.apf__inside {
		position: relative;
		max-width: 500px;
		max-height: 700px;
		width: 100%;
		height: 100%;
		margin: auto;
		border-radius: 12px;
		background-color: var(--white);
		overflow: hidden;
	}

	.apf__header {
		padding: 16px 20px 12px;
	}

	.apf__footer {
		position: absolute;
	}

	.apf-fields--horizontal {
		flex-direction: row;
		align-items: center;
		justify-content: space-between;
	}

	.apf-fields--horizontal:not(:last-child) {
		margin-bottom: 12px;
	}

	.apf-fields--horizontal .apf-field {
		width: calc(50% - 6px);
	}

	.apf-fields--horizontal .apf-field.apf-field_textarea {
		width: 100%;
	}

	.apf-fields--horizontal .apf-field:not(:last-child) {
		margin-bottom: 0;
		padding-bottom: 0;
	}

	.apf-fields--advantages {
		gap: 12px;
	}
}